Get all owners
https://api.propexo.com/v1/owners/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the owner
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| GET /Owners |
780The external ID of the property from the integration vendor
| Method |
|---|
| GET /Owners |
78The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
| Method |
|---|
| GET /Owners |
6The first address line associated with the owner
Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.
| Method |
|---|
| GET /Owners |
123 West AveThe second address line associated with the owner
This field will always be null for RENTMANAGER
nullThe city associated with the owner
Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.
| Method |
|---|
| GET /Owners |
MiamiThe country associated with the owner
This field will always be null for RENTMANAGER
nullThe state associated with the owner
Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.
| Method |
|---|
| GET /Owners |
FLThe zip code associated with the owner
Address fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support.
| Method |
|---|
| GET /Owners |
17892The first name associated with the owner
| Method |
|---|
| GET /Owners |
JohnThe middle name associated with the owner
| Method |
|---|
| GET /Owners |
WilsonThe last name associated with the owner
| Method |
|---|
| GET /Owners |
DoeThe name of the company associated with the owner
| Method |
|---|
| GET /Owners |
John's Family RentalsNotes associated with the owner
| Method |
|---|
| GET /Owners |
Is a new owner.The primary email address associated with the owner
| Method |
|---|
| GET /Owners |
[email protected]The secondary email address associated with the owner
This field will always be null for RENTMANAGER
nullPrimary phone number associated with the owner
| Method |
|---|
| GET /Owners |
(555) 555-5555Type of the primary phone number
| Method |
|---|
| GET /Owners |
Show 5 enum values
FAXHOMEMOBILEOTHERWORKMOBILESecondary phone number associated with the owner
| Method |
|---|
| GET /Owners |
(555) 555-5554Type of the secondary phone number
| Method |
|---|
| GET /Owners |
Show 5 enum values
FAXHOMEMOBILEOTHERWORKFAXThe property IDs associated with the owner
| Method |
|---|
| GET /Owners |
cmawympzl52480525661v4k5es1kgfkojThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_RESTRENTMANAGERThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/owners/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "780",
"x_property_id": "78",
"x_location_id": "6",
"address_1": "123 West Ave",
"address_2": null,
"city": "Miami",
"country": null,
"state": "FL",
"zip": "17892",
"first_name": "John",
"middle_name": "Wilson",
"last_name": "Doe",
"company_name": "John's Family Rentals",
"notes": "Is a new owner.",
"email_2": null,
"phone_1": "(555) 555-5555",
"phone_1_type": "MOBILE",
"phone_2": "(555) 555-5554",
"phone_2_type": "FAX",
"associated_property_ids": "cmawympzl52480525661v4k5es1kgfkoj",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}